Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.authentication
Interface LoginExceptionPropagatorMBean

All Superinterfaces:
  AuthenticationProviderMBean, AuthenticatorMBean, weblogic.descriptor.DescriptorBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  ActiveDirectoryAuthenticatorMBean, DefaultAuthenticatorMBean, IPlanetAuthenticatorMBean, LDAPAuthenticatorMBean, NovellAuthenticatorMBean, OpenLDAPAuthenticatorMBean, RealmAdapterAuthenticatorMBean

public interface LoginExceptionPropagatorMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, AuthenticatorMBean

No description provided.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getName()` The name of this configuration.
`boolean` | `getPropagateCauseForLoginException()` No description provided.
`void` | `setPropagateCauseForLoginException(boolean newValue)` No description provided.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.authentication.AuthenticatorMBean
`getControlFlag, setControlFlag`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getDescription, getRealm, getVersion`

Method Detail

### getName

    public String getName()

  Description copied from interface: `ProviderMBean`
  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

  Specified by:
    `getName` in interface `weblogic.management.commo.StandardInterface`
  Default value:
    "LoginExceptionPropagator"
  A dynamic MBean attribute.
    false

### getPropagateCauseForLoginException

    public boolean getPropagateCauseForLoginException()

  No description provided.

  Default value:
    false
  A dynamic MBean attribute.
    false

### setPropagateCauseForLoginException

    public void setPropagateCauseForLoginException(boolean newValue)
                                            throws InvalidAttributeValueException

  No description provided.

  Parameters:
    `newValue` - - new value for attribute PropagateCauseForLoginException
  Throws:
    `InvalidAttributeValueException`
  Default value:
    false
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD